Subject: Re: bash pattern substitution
From: [email-masked] (Michael Weiser)

20 Sep 1998 22:33:33 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: "Jeff Bergan" <[email-masked]>
Cc: [email-masked]

Hello Jeff, you wrote:
>I was just trying to write a bash script in which I wanted to do a quick
>substitution in a variable, and it seems that bash has trouble with this.  I
>typed in an example from a book which works on unix:
>echo -e {PATH//:/'\n'}
You've forgotten a '$'. echo -e ${PATH//:/'\n'} should work.
-- 
bye, Michael
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".